/*
* GTK_FILE_MANAGER Copyright (C) 2002-2003-2004 
* by Tito Ragusa <tito-wolit@tiscali.it>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
* Please read the COPYING and README file!!!
*
* Report bugs to <tito-wolit@tiscali.it>
*
*/

/* Warning, messages printed to the terminal for info or debug are not translated */

/* MYGTK stuff */
#define STR_FILE											"File"
#define STR_WRAP											"Wrap"
#define STR_I_AGREE_DONT_SHOW_IT_AGAIN						"I agree, don't show it again"
#define STR_OK												"Ok"
#define STR_CANCEL											"Cancel"
#define STR_YES												"Yes"
#define STR_NO												"No"
#define STR_HELP											"Help"
#define STR_ERROR											"Error"
#define STR_ALERT											"Alert"
#define STR_WARNING											"Warning"
#define STR_ABOUT											"About"
#define STR_UNTITLED										"Untitled"
#define STR_OPEN											"Open"
#define STR_SAVE_AS											"Save as"
#define STR_CANNOT_OPEN_FILE								"Cannot open file!"
#define STR_DIALOG_WINDOW									"Dialog Window"
#define STR_UNABLE_TO_STAT_S_S								"Unable to stat:\n%s:\n%s"
#define STR_S_IS_A_DIR										"\"%s\" is a directory"
#define STR_FILE_S_IS_A_DEVICE_FILE							"File \"%s\" is a device file"
#define STR_ERROR_READING_FILE_S_S							"Error Reading File: %s: %s"
#define STR_CONVERSION_TO_UTF8_FAILED						"Conversion to UTF-8 failed!"
#define STR_DEST_FILE_EXIST									"The destination file exists.\nDo you want to overwrite it ?"
#define STR_DEST_FILE_NEWER									"The destination file was modificated\nafter we openend it.\n"\
															"Do you want to overwrite\nthis more recent  version ?"
#define STR_NO_FILE_NAME									"No file name"
#define STR_ERROR_WRITING_FILE_S_S							"Error Writing File: %s: %s"
#define STR_CANNOT_SAVE_S_UNKNOWN_ERROR						"Cannot save: %s: Unknown error"
#define STR_CANNOT_SET_FILE_PERMISSIONS_ON_S_S				"Cannot set file permissions on:\n%s:\n%s"
#define STR_SAVE_FILE										"Save File ?"
#define STR_FILE_MODIFIED_WANT_TO_SAVE						"The File has been modified.\n"\
															"Do you want to save it ?"

/* MENU WIDGET */
#define MNU_STR_FILE										"_File"
#define MNU_STR_NEW											"_New"
#define SHC_FILE_NEW										"<control>N"
#define MNU_STR_OPEN										"_Open"
#define SHC_FILE_OPEN										"<control>O"
#define MNU_STR_SAVE										"_Save"
#define SHC_FILE_SAVE										"<control>S"
#define MNU_STR_SAVE__AS									"Save _As"
#define SHC_FILE_SAVE_AS									"<control>A"
#define MNU_STR_QUIT										"_Quit"
#define SHC_FILE_QUIT										"<control>Q"
#define STR_SHC_FILE_QUIT									"Ctrl+Q "
#define MNU_STR_HELP										"_Help"
#define MNU_STR_ABOUT										"_About"
#define SHC_HELP_ABOUT										"<control>A"
#define MNU_STR_TOOLS										"_Tools"
#define MNU_STR_SHOW_HIDDEN_FILES							"_Show hidden files"
#define SHC_SHOW_HIDDEN_FILES								"<control>H"
#define MNU_STR_LINK										"_Link"
#define MNU_STR_DELETE										"_Delete"
#define MNU_STR_MKDIR										"_Mkdir"
#define MNU_STR_MOVE										"Mo_ve"
#define MNU_STR_COPY										"_Copy"
#define MNU_STR_EDIT										"_Edit"
#define MNU_STR_VIEW										"_View"
#define MNU_STR_SHELL										"_Shell"
#define MNU_STR_REFRESH										"_Refresh"
#define SHC_REFRESH											"<control>R"	
#define MNU_STR_PERM										"_Perm"
#define MNU_STR_FS_INFO										"_File System Info"
#define SHC_FS_INFO											"<control>F"
#define MNU_STR_PROCESS_MANAGER								"_Process Manager"
#define SHC_PROCESS_MANAGER									"<control>P"
#define MNU_STR_VIEW_IMAGE									"_View Image"
#define SHC_VIEW_IMAGE										"<control>I"

/* TEXT EDIT WIDGET MENU SPECIFIC STUFF */ 
#define MNU_STR_WRAP										"_Wrap"
#define SHC_OPTIONS_WRAP									"<control>W"
#define MNU_STR_OPTIONS										"_Options"

/* PERMISSION WIDGET STUFF */
#define STR_UNABLE_TO_STAT_S_S								"Unable to stat:\n%s:\n%s"
#define STR_S_BAD_MODE_STRING_S								"%s: Bad mode string: %s"
#define STR_BAD_USERNAME_S									"Bad username: %s"
#define STR_BAD_GROUPNAME_S									"Bad groupname: %s"
#define STR_ACCESS_PERMISSIONS								"Access Permissions"
#define STR_FILE_IS_A_LINK									"File is a link."
#define STR_CLASS											"Class"
#define STR_SHOW_ENTRIES									"Show\nEntries"
#define STR_WRITE_ENTRIES									"Write\nEntries"
#define STR_ENTER											"Enter"
#define STR_READ											"Read"
#define STR_WRITE											"Write"
#define STR_EXEC											"Exec"
#define STR_SPECIAL											"Special"
#define STR_USER											"User"
#define STR_SET_UID											"Set UID"
#define STR_GROUP											"Group"
#define STR_SET_GID											"Set GID"
#define STR_OTHERS											"Others"
#define STR_STICKY											"Sticky"
#define STR_OWNERSHIP										"Ownership"
#define STR_APPLY_TO_SUBDIRS								"Apply changes to all subdirectories and their contents"
#define STR_ERROR_CHANGING_MODE_FOR_S_S						"Error changing  mode for:\n %s:\n %s"
#define STR_ERROR_CHANGING_OWNERSHIP_FOR_S_S				"Error changing  ownership for:\n %s:\n %s"

/* GTK_FILE_MANAGER STUFF */
#define STR_ABORTING										"Aborting"
#define STR_DIRECTORY										"Directory"
#define STR_DIRECTORIES										"Directories"
#define STR_FILE											"File"
#define STR_FILES											"Files"
#define STR_CANNOT_SCAN_DIR_S_S								"Cannot scan directory:\n%s:\n%s"
#define STR_CANNOT_GET_CWD_S								"Cannot get CWD:\n%s"
#define STR_CANNOT_OPERATE_ON_DOT_OR_DOUBLE_DOT				"Cannot operate on \".\" or \"..\""
#define STR_NO_FILE_SELECTED								"No file selected"
#define STR_SELECT_PATH										"Select path:"
#define STR_FAILED_TO_COPY_S_TO_S_S							"Failed to copy %s\nto %s:\n%s"
#define STR_FAILED_TO_CREATE_HARD_LINK_TO_S_WITH_NAME_S_S	"Failed to create a hard link to %s\nwith name %s:\n%s"
#define STR_FAILED_TO_CREATE_SYM_LINK_TO_S_WITH_NAME_S_S	"Failed to create a symbolic link to %s\nwith name %s:\n%s"
#define STR_CANNOT_MOVE_RENAME_S_TO_S_S						"Cannot move/rename: %s\nto %s:\n %s"
#define STR_FAILED_TO_CREATE_DIRECTORY_S					"Failed to create directory:\n%s"
#define STR_FILE_EXISTS										"File Exists"
#define STR_DELETE											"Delete"
#define STR_REALLY_DELETE_S									"Really delete: \"%s\" ?"
#define STR_FAILED_TO_DELETE_S								"Failed to delete:\n%s"
#define STR_SYMBOLIC_LINK									"Symbolic Link"
#define STR_HARD_LINK										"Hard Link"
#define STR_QUIT											"Quit"
#define STR_MOVE_RENAME										"Move/Rename"
#define STR_MOVE_RENAME_S_TO								"Move/Rename: \"%s\" to:"
#define STR_CREATE_A_NEW_DIR								"Create a new Directory"
#define STR_ENTER_DIR_NAME									"Enter directory name:"
#define STR_CREATE											"Create"
#define STR_COPY											"Copy"
#define STR_COPY_S_TO										"Copy : \"%s\" to:"
#define STR_LINK											"Link"
#define STR_CREATE_A_LINK_TO_S_WITH_NAME					"Create a link to \"%s\" with name:"
#define STR_IS_LINK											"(link-->) "
#define STR_IS_BROKEN_LINK									"(broken link-->) "
#define STR_CANNOT_CD_TO_DIR_S_S							"Cannot change to directory: %s:\n%s"
#define STR_EXIT											"Exit"
#define STR_UPDATE											"Update"
#define STR_REFRESH											"Refresh"	
#define STR_PERM											"Perm"
#define STR_MOVE											"Move"
#define STR_MKDIR											"Mkdir"
#define STR_EDIT											"Edit"
#define STR_VIEW											"View"
#define STR_SHELL											"Shell"
#define STR_REALLY_QUIT										"Really quit?"
#define STR_MISSING_ARG										"Missing argument"
#define STR_FS_INFO											"File System Info"

/* Busybox files stuff */
#define STR_OVERWRITE_S										"Overwrite `%s'? "
#define STR_DESCEND_INTO_DIR_S								"Descend into directory `%s'? "
#define STR_REMOVE_DIR_S									"Remove directory `%s'? "
#define STR_REMOVE_S										"Remove `%s'? "

/* License stuff */
#define STR_LICENSE				"Licensed under the GNU General Public License, version 2"
#define STR_WARRANTY			"This program  comes with ABSOLUTELY NO WARRANTY.\nUSE AT YOUR OWN RISK!!!"

/* Filesystem Info window */
#define STR_FILESYSTEM										"Filesystem"
#define STR_SIZE											"Size"
#define STR_USED											"Used"
#define STR_AVAILABLE										"Available"
#define STR_TYPE											"Type"
#define STR_MOUNTPOINT										"Mountpoint"
#define STR_MOUNT_OPTIONS									"Mount Options"
#define STR_MOUNTED											"Mounted"
#define STR_MOUNT											"Mount"
#define STR_UNMOUNT											"Unmount"
#define STR_CANNOT_UNMOUNT_S_S								"Cannot unmount: %s:\n %s"
#define STR_S_IS_WRITE_PROTECTED_MOUNTING_RO				"%s is write-protected, mounting read-only"
#define STR_MOUNTING_S_ON_S_FAILED							"Mounting %s on\n%s failed"

/* Process Manager window */
#define STR_NO_PROCESS_SELECTED								"No process selected."
#define STR_REALLY_KILL_PID_S								"Really kill process with PID %s?"
#define STR_COULD_NOT_KILL_S_S								"Could not kill process with PID %s:\n%s"
#define STR_PROCESS_MANAGER									"Process Manager"
#define STR_PID												"Pid"
#define STR_UID												"Uid"
#define STR_RSS												"Rss"
#define STR_STATUS											"Status"
#define STR_COMMAND											"Command"
#define STR_KILL											"Kill"

/* Image viewer window */
#define STR_VIEW_IMAGE										"View Image"

#define STR_NOT_IMPLEMENTED_YET								"Not implemented yet"
